<script setup lang="ts">
import { uselistnamepayStore } from '@/stores/listnamepay'

import ListNamePayTable from './ListNamePayTable.vue'
import ListNameAdd from './ListNameAdd.vue'
import ListNameDel from './ListNameDel(no use).vue'

const listNamepay = uselistnamepayStore()

function showAddDialog() {
  listNamepay.showAddDialog()
}
</script>

<template>
  <div id="app" class="d-flex justify-center">
    <v-layout class="rounded rounded-md">
      <v-navigation-drawer floating permanent>
        <v-list density="compact" nav>
          <div style="min-height: 100px">
            <v-layout style="font-size: 30px"> Salary System </v-layout>
          </div>
          <v-layout style="font-size: 20px; min-height: 50px"> Salary managemant </v-layout>
          <v-list-item
            prepend-icon="mdi-account-cash"
            title="Pay the salary"
            value="payem"
            :to="{ name: 'payem' }"
            exact
          >
          </v-list-item>
          <v-list-item
            prepend-icon="mdi-account-multiple"
            title="Employees"
            value="listnamepay"
            :to="{ name: 'listnamepay' }"
            exact
          >
          </v-list-item>
        </v-list>
      </v-navigation-drawer>

      <v-main class="align-center justify-center" style="height: 1000px"> </v-main>
    </v-layout>

    <v-row>
      <v-col>
        <v-card
          variant="tonal"
          width="100%"
          min-width="500"
          max-width="800"
          max-height="600"
          min-height="750"
          class="ma-3 bg-teal-darken-4"
          :elevation="18"
        >
          <v-card variant="tonal" class="ma-2 bg-teal-darken-4">
            <v-container>
              <h1
                style="
                  background-color: rgb(0, 0, 0);
                  color: aliceblue;
                  text-align: center;
                  font-size: 50px;
                  font-family: Arial, Helvetica, sans-serif;
                  width: 760px;
                "
              >
                List of Employees
              </h1>
              <v-card width="760px" height="auto" elevation="6">
                <ListNamePayTable :listnamepays="listNamepay.listnamepay">
                </ListNamePayTable> </v-card
              ><br />
              <v-row justify="end">
                <v-col cols="auto">
                  <!-- <ListNameDel></ListNameDel> -->
                </v-col>
                <v-col cols="auto"></v-col>
                <v-col cols="auto">
                  <ListNameAdd></ListNameAdd>
                </v-col>
              </v-row>
              <v-sheet> </v-sheet>
            </v-container>
          </v-card>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>

<style scoped>
#app {
  background-color: #212121;
  height: 100%;
}
</style>
./ListNameDel(no use).vue